Module java.compiler
Package javax.lang.model.type

# Interface UnionType

All Superinterfaces:
  `AnnotatedConstruct`, `TypeMirror`

public interface UnionType extends TypeMirror
Represents a union type. Union types can appear as the type of a multi-catch exception parameter.

See Java Language Specification:
  14.20 The try statement
Since:
  1.7

## Method Summary

Modifier and Type
Method
Description
`List<? extends TypeMirror>`
`getAlternatives()`
Returns the alternatives comprising this union type.

### Methods declared in interface javax.lang.model.type.TypeMirror

`accept, equals, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getKind, hashCode, toString`

## Method Details

### getAlternatives

List<? extends TypeMirror> getAlternatives()
Returns the alternatives comprising this union type.

Returns:
  the alternatives comprising this union type